콘텐츠로 건너뛰기

GOT OCR 2.0

통합

모델 id got-ocr/v2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/got-ocr/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: ≈$0.05 50 API 크레딧 이 페이지에서 실행

API 키 받기
StepFun 비전 #optical-character-recognition#high-res#utility

하나 이상의 이미지 URL에서 텍스트를 읽고 선택적 서식 출력 및 여러 페이지 병합을 지원하는 OCR 모델

StepFun · 데이터 (JSON)

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

고급 input_image_urls · do_format · multi_page
기본값 []
파일을 끌어다 놓거나

이미지를 가리키는 URL입니다.

POST /run/got-ocr/v2?wait=20 견적 → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/got-ocr/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

GOT OCR 2.0 정보

`input_image_urls` 목록으로 제공된 이미지에서 텍스트를 추출합니다. 문서 텍스트, 장면 텍스트, 표, 차트, 수식 및 기타 전문 콘텐츠를 처리합니다. 서식 있는 출력을 사용하려면 `do_format`을 켜고, 제공된 모든 이미지를 하나의 결과로 결합하려면 `multi_page`를 켭니다. 출력 목록을 반환합니다.

매개변수

이름유형 기본값허용됨 설명
input_image_urls선택 사항
유형url[] · image
기본값[]
이미지를 가리키는 URL입니다.
do_format선택 사항
유형boolean
기본값false
형식이 지정된 출력을 생성할지 여부입니다.
multi_page선택 사항
유형boolean
기본값false
제공된 이미지들을 하나의 출력으로 결합할지 여부입니다.
필수

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "got-ocr/v2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {},
  "output": {
    "outputs": [
      "string"
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
outputs
array of string모델이 생성한 결과입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/got-ocr/v2.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt